> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get syncs

> Returns the syncs



## OpenAPI

````yaml get /syncs
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /syncs:
    get:
      tags:
        - Syncs
      summary: Get syncs
      description: Returns the syncs
      operationId: syncs_get_syncs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReadSyncItem'
                title: Response Syncs Get Syncs
components:
  schemas:
    ReadSyncItem:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        config:
          anyOf:
            - additionalProperties:
                items:
                  additionalProperties: true
                  type: object
                type: array
              propertyNames:
                const: presync
              type: object
            - type: 'null'
          title: Config
        connections:
          items:
            $ref: '#/components/schemas/SyncsConnectionItem'
          type: array
          title: Connections
        mappings:
          items:
            $ref: '#/components/schemas/CreateSyncMappingItem-Output'
          type: array
          title: Mappings
          default: []
        syncid:
          type: string
          format: uuid
          title: Syncid
        consumers:
          items:
            type: string
          type: array
          title: Consumers
        flows:
          items:
            $ref: '#/components/schemas/ReadFlowItem'
          type: array
          title: Flows
      type: object
      required:
        - name
        - connections
        - syncid
        - consumers
        - flows
      title: ReadSyncItem
    SyncsConnectionItem:
      properties:
        one_api:
          anyOf:
            - type: integer
            - type: 'null'
          title: One Api
        connection_type:
          anyOf:
            - type: integer
            - type: 'null'
          title: Connection Type
        display_order:
          type: integer
          title: Display Order
          default: 0
        display_hidden:
          type: boolean
          title: Display Hidden
          default: false
      type: object
      title: SyncsConnectionItem
    CreateSyncMappingItem-Output:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        display_order:
          type: integer
          title: Display Order
          default: 0
        challenge_question:
          anyOf:
            - type: string
            - type: 'null'
          title: Challenge Question
        conditions:
          anyOf:
            - additionalProperties:
                additionalProperties: true
                type: object
              propertyNames:
                const: hideIf
              type: object
            - type: 'null'
          title: Conditions
        sub_mappings:
          items:
            $ref: '#/components/schemas/CreateSyncMappingToFieldItem-Output'
          type: array
          title: Sub Mappings
          default: []
      type: object
      required:
        - name
      title: CreateSyncMappingItem
    ReadFlowItem:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
        execution:
          anyOf:
            - $ref: '#/components/schemas/FlowExecution'
            - type: 'null'
        config:
          anyOf:
            - $ref: '#/components/schemas/FlowConfig-Output'
            - type: 'null'
          default:
            datastores: []
        triggers:
          anyOf:
            - items:
                $ref: '#/components/schemas/FlowTrigger'
              type: array
            - type: 'null'
          title: Triggers
      type: object
      required:
        - name
        - id
      title: ReadFlowItem
    CreateSyncMappingToFieldItem-Output:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        display_order:
          type: integer
          title: Display Order
          default: 0
        challenge_question:
          anyOf:
            - type: string
            - type: 'null'
          title: Challenge Question
        conditions:
          anyOf:
            - additionalProperties:
                additionalProperties: true
                type: object
              propertyNames:
                const: hideIf
              type: object
            - type: 'null'
          title: Conditions
        source_field:
          $ref: '#/components/schemas/FieldItem'
        target_field:
          $ref: '#/components/schemas/FieldItem'
        display_delete:
          type: boolean
          title: Display Delete
          default: false
        logic:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Logic
      type: object
      required:
        - name
        - source_field
        - target_field
      title: CreateSyncMappingToFieldItem
    FlowExecution:
      properties:
        type:
          $ref: '#/components/schemas/ExecutionType'
        data:
          anyOf:
            - $ref: '#/components/schemas/FlowExecutionChain'
            - $ref: '#/components/schemas/FlowExecutionCode'
            - type: 'null'
          title: Data
      type: object
      required:
        - type
        - data
      title: FlowExecution
    FlowConfig-Output:
      properties:
        definitionFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Definitionfields
        doorkeyFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Doorkeyfields
        customFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Customfields
        datastores:
          anyOf:
            - items:
                $ref: '#/components/schemas/FlowDataStoreItem-Output'
              type: array
            - type: 'null'
          title: Datastores
          default: []
      type: object
      title: FlowConfig
    FlowTrigger:
      properties:
        id:
          type: string
          title: Id
        type:
          $ref: '#/components/schemas/TriggerType'
        cronschedules:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cronschedules
        visible:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Visible
          default: true
        definitionFields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Definitionfields
        options:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Options
        priority:
          $ref: '#/components/schemas/TriggerPriority'
          default: NORMAL
      type: object
      required:
        - id
        - type
      title: FlowTrigger
    FieldItem:
      properties:
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/FieldItemType'
        display_condition:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Display Condition
        values:
          anyOf:
            - items:
                $ref: '#/components/schemas/FieldItemValue'
              type: array
            - type: 'null'
          title: Values
          default: []
        api_route:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Route
        connection_type:
          anyOf:
            - type: integer
            - type: 'null'
          title: Connection Type
      type: object
      required:
        - name
        - type
      title: FieldItem
    ExecutionType:
      type: string
      enum:
        - code
        - module
      title: ExecutionType
    FlowExecutionChain:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: FlowExecutionChain
    FlowExecutionCode:
      properties:
        code:
          type: string
          title: Code
      type: object
      required:
        - code
      title: FlowExecutionCode
    FlowDataStoreItem-Output:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          type: string
          title: Name
        status:
          anyOf:
            - $ref: '#/components/schemas/DatastoreStatus'
            - type: 'null'
          default: active
        definition:
          $ref: '#/components/schemas/DatastoreDef'
      type: object
      required:
        - name
        - definition
      title: FlowDataStoreItem
    TriggerType:
      type: string
      enum:
        - timer
        - event
      title: TriggerType
    TriggerPriority:
      type: string
      enum:
        - NORMAL
        - MEDIUM
        - HIGH
      title: TriggerPriority
    FieldItemType:
      type: string
      enum:
        - fixed
        - api
      title: FieldItemType
    FieldItemValue:
      properties:
        id:
          type: string
          title: Id
        label:
          type: string
          title: Label
      type: object
      required:
        - id
        - label
      title: FieldItemValue
    DatastoreStatus:
      type: string
      enum:
        - active
        - inactive
      title: DatastoreStatus
    DatastoreDef:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/DatastoreColumn'
          type: array
          title: Columns
        search_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Column
          description: Column name that will be indexed and used in search if any.
      type: object
      required:
        - columns
      title: DatastoreDef
    DatastoreColumn:
      properties:
        name:
          type: string
          title: Name
        title:
          type: string
          title: Title
        type:
          type: string
          title: Type
        optional:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Optional
          default: false
      type: object
      required:
        - name
        - title
        - type
      title: DatastoreColumn
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````